package de.devloop.mavor.servlet;

import java.io.IOException;
import java.io.PrintStream;

import org.apache.maven.cli.MavenCli;

import de.devloop.mavor.AuthenticatedServlet;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

@WebServlet("/download")
public class Download extends AuthenticatedServlet {

    private static final String PARAMETER_SITE = "site";
    private static final String PARAMETER_GROUP_ID = "groupId";
    private static final String PARAMETER_ARTEFACT_ID = "artefactId";
    private static final String PARAMETER_VERSION = "version";

    @Override
    protected void doAuthenticatedGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String groupId = req.getParameter(PARAMETER_GROUP_ID);
        String artifactId = req.getParameter(PARAMETER_ARTEFACT_ID);
        String version = req.getParameter(PARAMETER_VERSION);

        PrintStream out = new PrintStream(resp.getOutputStream());

        MavenCli cli = new MavenCli();
        System.setProperty("maven.multiModuleProjectDirectory", "/home/damage/Temp");
        cli.doMain(new String[]{"dependency:copy", "-Dartifact=com.google.code.gson:gson:2.11.0", "-DoutputDirectory=/home/damage/Temp"}, "/home/damage/Temp", out, out);

        //RequestDispatcher view = req.getRequestDispatcher("/download.jsp");
        

        //view.forward(req, resp);

    }
}
